<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema">
	<xs:element name="template">
		<xs:complexType>
			<xs:sequence>
				<xs:element name="row" type="rowType" maxOccurs="unbounded" />
			</xs:sequence>
			<xs:attribute name="width" type="xs:integer" />
		</xs:complexType>
	</xs:element>

	<xs:complexType name="rowType">
		<xs:sequence>
			<xs:element name="tile" type="tileType" maxOccurs="unbounded" />
		</xs:sequence>
		<xs:attribute name="height" type="xs:integer" />
	</xs:complexType>

	<xs:complexType name="tileType">
		<xs:sequence>
			<xs:element name="row" type="rowType" minOccurs="0" maxOccurs="unbounded" />
		</xs:sequence>
		<xs:attribute name="width" type="xs:integer" />
	</xs:complexType>
</xs:schema>